- Qt 6.10
- Qt Charts
- QML Types
- BarCategoryAxis
- Qt Charts | Commercial or GPLv3

# BarCategoryAxis QML Type

Adds categories to a chart's axes. More...

Import Statement: | `import QtCharts 2.10`
In C++: | QBarCategoryAxis
Inherits: | AbstractAxis

- List of all members, including inherited members

## Properties

- categories : list<string>
- count : int
- max : string
- min : string

## Signals

- rangeChanged(string min, string max)

## Methods

- void clear()

## Detailed Description

The BarCategoryAxis type can be set up to show an axis line with tick marks, grid lines, and shades. Categories are drawn between the ticks. It can be used also with a line series.

The following QML snippet illustrates how to use BarCategoryAxis:

     ChartView {
         BarCategoryAxis {
             id: categoryAxis
             categories: ["Jan", "Feb", "Mar", "Apr", "May", "Jun" ]
         }
     // Add a few series...
     }

## Property Documentation

categories : list<string>

The categories of an axis.

count : int `[read-only]`

The number of categories of an axis.

max : string

The maximum value on the axis.

min : string

The minimum value on the axis.

## Signal Documentation

rangeChanged(string min, string max)

This signal is emitted when min or max value of the axis changes.

The corresponding signal handler is `onRangeChanged`.

Note: The corresponding handler is `onRangeChanged`.

## Method Documentation

void clear()

Removes all categories. Sets the maximum and minimum values of the axis range to QString::null.